using Dynare
using LinearAlgebra

context = @dynare "model_julia";

m = context.models[1]
endogenous_names = Dynare.get_endogenous(context.symboltable)
i_varobs = [findfirst(vo .== endogenous_names) for vo in context.work.observed_variables]
state_variables = union(i_varobs, m.i_bkwrd_b)
i_vo_state = [findfirst(vo .== state_variables) for vo in i_varobs]

lre_results = context.results.model_results[1].linearrationalexpectations
M = zeros(m.endogenous_nbr, m.endogenous_nbr)
M[:, m.i_bkwrd_b] .= lre_results.g1_1
F = M[state_variables, state_variables]
G = lre_results.g1_2[state_variables, :]
A = I(length(state_variables))[i_vo_state, :]


